CSFML

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Index
- Class Members

Public Attributes | List of all members
sfJoystickMoveEvent Struct Reference

Joystick axis move event parameters. More...

`#include <Event.h>`

## Public Attributes

sfEventType | type
unsigned int | joystickId
sfJoystickAxis | axis
float | position

## Detailed Description

Joystick axis move event parameters.

Definition at line 152 of file Event.h.

## Member Data Documentation

## ◆ axis

sfJoystickAxis sfJoystickMoveEvent::axis

Definition at line 156 of file Event.h.

## ◆ joystickId

unsigned int sfJoystickMoveEvent::joystickId

Definition at line 155 of file Event.h.

## ◆ position

float sfJoystickMoveEvent::position

Definition at line 157 of file Event.h.

## ◆ type

sfEventType sfJoystickMoveEvent::type

Definition at line 154 of file Event.h.

The documentation for this struct was generated from the following file:

- Event.h